import {
	ObjektClient,
	VerbrauchsausweisGewerbeClient,
	VerbrauchsausweisWohnenClient,
} from "#components/Ausweis/types.js";
import { AuditType, hidden } from "./hidden.js";
import { getKlimafaktoren } from "#lib/Klimafaktoren.js";

export async function auditKlimaFaktoren(
	ausweis: VerbrauchsausweisWohnenClient | VerbrauchsausweisGewerbeClient,
	gebaeude: ObjektClient
): Promise<boolean> {
	if (hidden.has(AuditType.KLIMA_FAKTOREN)) {
		return false;
	}

	if (ausweis.startdatum && gebaeude.plz && ausweis.verbrauch_1) {
		try {
			const response = await getKlimafaktoren(
				ausweis.startdatum,
				gebaeude.plz
			);
			return true; // Alle Klimfaktoren konnten abgefragt werden.
		} catch (e) {
			return true;
		}
	}

	return false;
}
